from fastapi import APIRouter
from fastapi.responses import JSONResponse

from src.responses import response_list_response
from src.composite.service import *

composite_router = APIRouter()

@composite_router.get("/query-composite")
async def composite_router_query_composite(user_id: int )-> JSONResponse:
    """
    查询已有多因子组合
    """

    result = await composite_router_query_composite_service(user_id)

    return response_list_response(data=result, message="多因子组合查询成功")