from tortoise import fields
from tortoise.models import Model

class NewUserStrategy(Model):
    id = fields.IntField(pk=True)
    strategy_name = fields.CharField(max_length=25, null=False)
    message = fields.JSONField(null=True)
    info = fields.JSONField(null=True)

    class Meta:
        table = "new_user_strategy"
        default_connection = "default"