from tortoise import fields
from tortoise.models import Model

class UserStrategy(Model):
    """
    用户多因子组合表
    """
    id = fields.IntField(pk=True)
    create_time = fields.DatetimeField(null=True)
    user_id = fields.IntField(null=True)
    strategy_request = fields.JSONField(null=False)
    strategy_name = fields.CharField(max_length=30, null=True)
    deleted_stock = fields.BinaryField(null=True)

    class Meta:
        table = "user_strategy"